XScreenSaver(1)

NAME
phosphor - simulates an old terminal with long-sustain phosphor

SYNOPSIS
phosphor [-display host:display.screen] [-window] [-root] [-install] [-visual visual] [-font font] [-scale int] [-ticks int] [-delay usecs] [-program command]

DESCRIPTION
The phosphor program draws text on the screen in a very large pixelated font that looks like an old low resolution dumb tty. The pixels flare and fade out as if the phosphor was very long-sustain.

OPTIONS
phosphor accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-font font-name
    The X font to use. Phosphor can take any font and scale it up to pixelate it. The default is fixed.

-scale int
    How much to scale the font up: in other words, the size in real pixels of the simulated pixels. Default 6.

-ticks int
    The number of colors to use when fading to black. Default 20.

-delay usecs
    The speed of the terminal: how long to wait between drawing each character. Default 50000, or about 1/20th second.

-program sh-command
    The command to run to generate the text to display. This option may be any string acceptable to /bin/sh. The program will be run at the end of a pipe, and any characters that it prints to stdout will be printed on phosphor's window. The characters will be printed artificially slowly, as per the -delay option above. If the program exits, it will be launched again after 5 seconds. Note that phosphor is not a terminal emulator: programs that try to directly address the screen will not do what you might expect. Phosphor merely draws the characters on the screen left to right, top to bottom. Lines wrap when they reach the right edge, and the screen scrolls when characters reach the bottom. In other words, programs like fortune(1) will work, but programs like top(1) won't. For example:
        phosphor -program 'cat /usr/src/linux*/README'
        phosphor -program 'ping localhost'
        phosphor -program 'ps -e'
        phosphor -program 'od -txC -w6 /dev/random'

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
xscreensaver(1), fortune(1), apple2(1), starwars(1), fontglide(1), ljlatest(1), dadadodo(1), webcollage(1), driftnet(1) EtherPEG, EtherPeek

COPYRIGHT
Copyright © 1999 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 27-Apr-99.